#!/usr/bin/env python

from socket import socket,AF_INET,SOCK_STREAM

from sss.ssslib import comm_lib

from sys import argv

if len(argv) > 1:
    comm = comm_lib(debug='-d' in argv,conffile=argv[1])
else:
    comm = comm_lib(debug='-d' in argv)

sock = socket(AF_INET,SOCK_STREAM)

sock.bind(('localhost',1236))

sock.listen(5)

comm.SDRegister("py-test-service","localhost",1236,"zlib","1.0","1")

(newsock,None) = sock.accept()

handle = comm.ServerInit(newsock.fileno())

buf = comm.RecvMessage(handle)

while len(buf):
    comm.SendMessage(handle,"back from server")
    buf = comm.RecvMessage(handle)
    print "received :%s: from client"%buf

comm.ServerClose(handle)

