#include<stdio.h>
#include<ssslib.h>
#include<string.h>

void SSS_FreeConfigDict(SSS_ConfigDict dict){
  int i;

  for(i=0;dict->keywords[i];i++){
    free(dict->keywords[i]);
    free(dict->values[i]);
  }
  free(dict->keywords);
  free(dict->values);
  free(dict);
}

void SSS_DumpConfigDict(FILE *stream,SSS_ConfigDict dictionary){
  int i;
  for (i=0;dictionary->keywords[i];i++)
    fprintf(stream,"%s: %s\n",dictionary->keywords[i],dictionary->values[i]);
  return;
}

char *SSS_GetFromConfigDict(SSS_ConfigDict dictionary, char *keyword){
  int i;
  for (i=0;dictionary->keywords[i];i++)
    if (!strcmp(dictionary->keywords[i],keyword))
      return dictionary->values[i];
  return NULL;
}

